---
sidebar_position: 1
---

# Contribute to Lyra

export const Highlight = ({children, color}) => (
  <span
    style={{
      backgroundColor: color,
      borderRadius: '8px',
      color: '#fff',
      padding: '10px',
      cursor: 'pointer',
    }}
    >
    {children}
  </span>
);

# Contributing

When contributing to Lyra, please first discuss the change you wish to make via issue, email, or any other method with the owners of [the repository](https://github.com/nearform/lyra) before making a change. 

Please note that we have a [code of conduct](https://github.com/nearform/lyra/blob/main/CONTRIBUTING.md#code-of-conduct) and we kindly ask any contributors to follow it in all of their interactions with the project.

### Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a build.

2. Update the README.md with details of changes to the interface, this includes new environment 
   variables, exposed ports, useful file locations and container parameters.

3. Commit your changes by using the `pnpm|yarn|npm commit` command. This will enforce linting and tests before completing the commit.

### Are you using Lyra in your project? Let us know!
[fastify-lyra](https://www.npmjs.com/package/@mateonunez/fastify-lyra) - <a href="https://github.com/mateonunez">@mateonunez</a>

